module.exports = function() {
  return function(ctx, next) {
    const origin = ctx.request.header.origin || '*';
    ctx.set('Access-Control-Allow-Credentials', true);
    if (ctx.method === 'OPTIONS') {
      ctx.set('Access-Control-Allow-Origin', origin);
      ctx.set('Access-Control-Allow-Methods', 'GET,PUT,POST,DELETE,OPTIONS');
      ctx.set('Access-Control-Allow-Headers', ctx.request.header['access-control-request-headers']);
      ctx.status = 204;
    } else {
      ctx.set('Access-Control-Allow-Origin', origin);
      return next();
    }
  };
};
