function delay(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}

function randomWithinPercentageRange(value, percentageDifference) {
  const percentage = Math.random() * (2 * percentageDifference) - percentageDifference;
  return value * (1 + percentage);
}

module.exports = timeSeed => {
  return async (ctx, next) => {
    await delay(randomWithinPercentageRange(timeSeed, 0.4));
    return next();
  };
};
