const bookmarksFixture = require('./bookmarks/bookmarks');
const bookmarksPcmsFixture = require('./bookmarks/bookmarks-pcms-template');

module.exports.get = function(ctx) {
  ctx.status = 200;
  ctx.set('X-SkyOTT-UserToken', ctx.request.get('X-SkyOTT-UserToken'));
  ctx.body = bookmarksFixture;
  ctx.type = 'application/vnd.bookmarking.v1+json';
};

module.exports.getByContentId = function(ctx) {
  const contentId = ctx.params.contentId;

  if (contentId === 'aabfaa13a3b30510VgnVCM1000000b43150a____') {
    bookmarksPcmsFixture.attributes.titleMedium = '50 First Dates';
    bookmarksPcmsFixture.attributes.images[1].url =
      'http://www.asset1.net/tv/pictures/266/394/movie/50-first-dates-2004/50FirstDates-KA-1.jpg';
    bookmarksPcmsFixture.attributes.sectionNavigation = 'MOVIES';
    bookmarksPcmsFixture.attributes.slug = '/50-first-dates-2004';
    bookmarksPcmsFixture.attributes.classification = ['MOVIES'];
    bookmarksPcmsFixture.type = 'ASSET/PROGRAMME';
  } else if (contentId === '54bbbe4b2b112510VgnVCM1000000b43150a____') {
    bookmarksPcmsFixture.attributes.titleMedium = '50 Ways to Kill Your Mammy';
    bookmarksPcmsFixture.attributes.images[1].url =
      'http://stage-epgservices.sky.com/pixel/selector/contentid/e99cfdcae7157510VgnVCM1000000b43150a____/LAND_16_9';
    bookmarksPcmsFixture.attributes.sectionNavigation = 'ENTERTAINMENT';
    bookmarksPcmsFixture.attributes.classification = ['ENTERTAINMENT'];
    bookmarksPcmsFixture.attributes.slug = '/50-ways-to-kill-your-mammy/ce91caf177930510VgnVCM1000000b43150a____';
    bookmarksPcmsFixture.type = 'CATALOGUE/SEASON';
  } else if (contentId === 'bcb41422-96c0-11e6-b91c-174a4fbb6b39') {
    bookmarksPcmsFixture.attributes.titleMedium = 'JooooHHHNNN CEEENNAAA';
    bookmarksPcmsFixture.attributes.images[1].url =
      'http://stage-epgservices.sky.com/pixel/selector/contentid/e99cfdcae7157510VgnVCM1000000b43150a____/LAND_16_9';
    bookmarksPcmsFixture.attributes.sectionNavigation = 'KIDS';
    bookmarksPcmsFixture.attributes.classification = ['KIDS'];
    bookmarksPcmsFixture.attributes.slug = '/kids/john-cena/bcb41422-96c0-11e6-b91c-174a4fbb6b39';
    bookmarksPcmsFixture.type = 'CATALOGUE/SERIES';
  }
  bookmarksPcmsFixture.attributes.contentId = contentId;

  ctx.body = bookmarksPcmsFixture;
};
