const userIdentifier = require('../../utils/user-identifier');

const continueWatching = require('./my-tv/continue-watching/continue-watching');

module.exports.get = function(ctx) {
  const user = userIdentifier.getDataForUserOrDefault(ctx);

  if (user.noContinueWatchingData) {
    ctx.body = { assets: [], count: 0 };
  } else {
    ctx.body = continueWatching;
  }
};
