const defaultNodes = {
  'kids/highlights': require('../nodes/kids-group'),
  'entertainment/highlights': require('./entertainment-highlights'),
  'entertainment/explorer': require('./entertainment-explorer-menu'),
  'entertainment/genre': require('./entertainment-genres'),
  'entertainment/channels': require('./entertainment-channels'),
  'movies/collections': require('../collections/movies-multi-listing-page'),
  'movies/highlights': require('./movie-highlights'),
  'movies/explorer': require('./movies-explorer-menu'),
  'movies/genre': require('./genres'),
  'movies/channels': require('./movie-channels'),
  'short-form': require('./short-form'),
  'sports/highlights': require('./sports-highlights'),
  'sports/collections/wrestling': require('../collections/sports-wrestling'),
  home: require('./seamless'),
};

module.exports = {
  ie: defaultNodes,
  gb: defaultNodes,
  it: defaultNodes,
  de: defaultNodes,
  pl: defaultNodes,
  jc: defaultNodes,
};
