const { isScenario } = require('../../utils/scenario');

const certificateFixture = require('./refdata/certificate');

module.exports.get = function(ctx) {
  if (isScenario(ctx, 'no_parental_control_ratings_setup')) {
    return (ctx.body = certificateFixture.map(certificate => ({
      ...certificate,
      attributes: {
        ...certificate.attributes,
        parentalControl: false,
      },
    })));
  }

  ctx.body = certificateFixture;
};
