const entertainmentRecommendations = require('../slugs/entertainment-recommendations');
const entertainmentRecommendationsSingularSeason = require('../slugs/entertainment-recommendations-singular-season');

const defaultNodes = {
  '250bfdcae7157510VgnVCM1000000b43150a____': entertainmentRecommendations,
  'e28c9d46-1ab4-47f0-94d3-722c1ea6cabe': require('../nodes/episodic-movie-asset-details'),
  kidsrecommendations____: require('../nodes/kids-recommendations'),
  '7fea482bb8240510VgnVCM1000000b43150a____': require('../nodes/expired-entertainment-asset-details'),
  e61bc7ab5a009510VgnVCM1000000b43150a____: require('../entertainment-asset-details/provider-series'),
  e1b3ac5346e3f510VgnVCM1000000b43150a____: require('../entertainment-asset-details/provider-series'),
  'ecb8e4cc-43d5-11e8-af08-9fb49654d300': require('../nodes/hayu-season-vanderpump-rules'),
  iYEQZ29XgR38y2gH7sXPzS: require('../nodes/hayu-season-vanderpump-rules'),
  iYEQZ29XgR38y1VXRUb2aA: require('../nodes/hayu-season-in-ice-cold-blood'),
  '250bfdcae7157510VgnVCM1000000b43150a____singularSeason': entertainmentRecommendationsSingularSeason,
};

module.exports = {
  ie: defaultNodes,
  gb: defaultNodes,
  it: defaultNodes,
  de: defaultNodes,
  pl: defaultNodes,
  jc: defaultNodes,
};
