module.exports.get = function(ctx) {
  const proposition = ctx.req.headers['x-skyott-proposition'].toLowerCase();
  const territory = ctx.req.headers['x-skyott-territory'].toLowerCase();

  let fixture;
  try {
    fixture = require(`./supported-languages/${proposition}/${territory}`);
  } catch (e) {
    fixture = require(`./supported-languages/mock/jc`);
  }

  if (fixture) {
    ctx.body = fixture;
  } else {
    ctx.status = 400;
  }
};
