const { isScenario } = require('../../utils/scenario');

const liveFixture = require('./playouts/live');
const getPlayoutResponse = require('./playout');

module.exports.post = function(ctx) {
  liveFixture.serviceKey = ctx.request.body.serviceKey.toString();
  getPlayoutResponse(ctx, liveFixture);
  ctx.type = 'application/vnd.playlive.v1+json';

  if (isScenario(ctx, 'get_live_asset_500')) {
    ctx.status = 500;
    ctx.body = {};
  }
};
