const cloneDeep = require('lodash/cloneDeep');

module.exports = {
  getProfileFixture: email => {
    const getProfileFixture = cloneDeep(require('./get-profile.json'));
    if (getProfileFixture[email]) {
      return getProfileFixture[email];
    }

    const defaultProfile = getProfileFixture.valid_user;
    defaultProfile.entities[0].entities[3].properties.value = email || 'valid_user@mailinator.com';

    return defaultProfile;
  },
};
