const fs = require('fs');

const sinon = require('sinon');

describe('build-labels', () => {
  beforeEach(() => {
    sinon.stub(fs, 'writeFile');
    sinon.stub(fs, 'writeFileSync');
    process.env.CLIENT = 'web';
  });

  afterEach(() => {
    fs.writeFile.restore();
    fs.writeFileSync.restore();
    delete process.env.CLIENT;
  });

  it('runs the build-labels succesfully', () => {
    require('./labels');
  }, 5000);
});
