const voucherFixture = require('./commerce/payments-manager/voucher');
const voucherBoxFixture = require('./commerce/payments-manager/voucher_box');
const entsVoucherFixture = require('./commerce/payments-manager/ents-voucher');
const cinemaVoucherFixture = require('./commerce/payments-manager/cinema-voucher.json');
const voucherDownstreamErrorFixture = require('./commerce/payments-manager/voucher_downstream_error');
const voucherExpiredFixture = require('./commerce/payments-manager/voucher_expired');
const voucherValidExpiredFixture = require('./commerce/payments-manager/voucher_valid_expired');
const voucherPendingFixture = require('./commerce/payments-manager/voucher_pending');
const voucherRedeemedFixture = require('./commerce/payments-manager/voucher_redeemed');
const voucherCancelledFixture = require('./commerce/payments-manager/voucher_cancelled');
const voucherNotFoundFixture = require('./commerce/payments-manager/voucher_not_found');
const voucherButPCMSDownFixture = require('./commerce/payments-manager/voucher_but_pcms_down');

module.exports.get = function(ctx) {
  const voucherId = ctx.params.voucherId;

  if (voucherId === 'MYSPORTSVOUCHER') {
    ctx.status = 200;
    ctx.body = voucherFixture;
  } else if (voucherId === 'MYENTSVOUCHER') {
    ctx.status = 200;
    ctx.body = entsVoucherFixture;
  } else if (voucherId === 'CINEMA_VOUCHER') {
    ctx.status = 200;
    ctx.body = cinemaVoucherFixture;
  } else if (voucherId === 'FREENOWTVBOX') {
    ctx.status = 200;
    ctx.body = voucherBoxFixture;
  } else if (voucherId === 'VALID_THEN_INVALID_VOUCHER_CODE') {
    ctx.status = 200;
    ctx.body = voucherFixture;
  } else if (voucherId === 'VALID_THEN_VALID_THEN_INVALID_VOUCHER_CODE') {
    ctx.status = 200;
    ctx.body = voucherFixture;
  } else if (voucherId === 'PCMS_ERROR') {
    ctx.status = 200;
    ctx.body = voucherButPCMSDownFixture;
  } else if (voucherId === 'NOWKGET4A6VLNL') {
    ctx.status = 200;
    ctx.body = voucherValidExpiredFixture;
  } else if (voucherId === 'PENDING') {
    ctx.status = 200;
    ctx.body = voucherPendingFixture;
  } else if (voucherId === 'REDEEMED') {
    ctx.status = 200;
    ctx.body = voucherRedeemedFixture;
  } else if (voucherId === 'CANCELLED') {
    ctx.status = 200;
    ctx.body = voucherCancelledFixture;
  } else if (voucherId === 'EXPIRED') {
    ctx.status = 400;
    ctx.body = voucherExpiredFixture;
  } else if (voucherId === 'DOWNSTREAM') {
    ctx.status = 500;
    ctx.body = voucherDownstreamErrorFixture;
  } else {
    ctx.status = 400;
    ctx.body = voucherNotFoundFixture;
  }
  ctx.type = 'application/vnd.voucher.v1+json';
};
