const mergeConfig = require('atlas-web-and-tv-config/utils/merge-config');

const { replaceLocalhostWithOrigin } = require('../../utils/replace-localhost-with-origin');

module.exports.get = function(ctx) {
  if (ctx.params.environment === 'brokenConfig') {
    return (ctx.status = 500);
  }

  const mergedConfig = mergeConfig(
    ctx.params.territory,
    ctx.params.provider,
    ctx.params.proposition,
    ctx.params.platform,
    ctx.params.environment,
    ctx.params.device
  );

  ctx.status = 200;
  ctx.body = replaceLocalhostWithOrigin(mergedConfig, ctx);
};
