const { isScenario } = require('../../utils/scenario');

const vodFixture = require('./playouts/vod');
const getPlayoutResponse = require('./playout');

module.exports.post = function(ctx) {
  getPlayoutResponse(ctx, vodFixture);
  ctx.type = 'application/vnd.playvod.v1+json';

  if (isScenario(ctx, 'get_vod_asset_500')) {
    ctx.status = 500;
    ctx.body = {};
  }
};
