const searchNoResults = require('./search/no-results');
const searchRupertBear = require('./search/rupert-bear');
const searchRunAllNight = require('./search/run-all-night');
const searchSuggestTV = require('./search/search-suggest-tv');

module.exports.get = function(ctx) {
  const { term } = ctx.query;
  if (term === '80085') {
    ctx.body = searchNoResults;
  } else if (term.toUpperCase() === 'RUPERT BEAR') {
    ctx.body = searchRupertBear;
  } else if (term.toUpperCase() === 'RUN ALL NIGHT') {
    ctx.body = searchRunAllNight;
  } else {
    ctx.body = searchSuggestTV;
  }
};
