const md5 = require('md5');

module.exports = function hasValidMD5Checksum(ctx) {
  const contentMD5 = ctx.request.get('Content-MD5');
  const md5Checksum =
    ctx.request.body && Object.keys(ctx.request.body).length > 0 ? md5(JSON.stringify(ctx.request.body)) : md5('');
  return contentMD5 === md5Checksum;
};
